Package be.ehealth.businessconnector.mediprimav2.session.impl

# Class MediprimaConsultationSessionServiceImpl

java.lang.Object
be.ehealth.businessconnector.mediprimav2.session.impl.MediprimaConsultationSessionServiceImpl

All Implemented Interfaces:
  `MediprimaConsultationSessionService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class MediprimaConsultationSessionServiceImpl extends Object implements MediprimaConsultationSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `MediprimaConsultationSessionService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediprimaConsultationSessionServiceImpl()`
  constructor only to be used for bootstrap purposes.
  `MediprimaConsultationSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `ConsultCarmedInterventionResponse`
  `consultCarmedIntervention(ConsultCarmedInterventionRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MediprimaConsultationSessionServiceImpl

    public MediprimaConsultationSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### MediprimaConsultationSessionServiceImpl

    public MediprimaConsultationSessionServiceImpl()
    constructor only to be used for bootstrap purposes.

- ## Method Details

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

  - ### consultCarmedIntervention

    public ConsultCarmedInterventionResponse consultCarmedIntervention(ConsultCarmedInterventionRequest request) throws TechnicalConnectorException
    Specified by:
      `consultCarmedIntervention` in interface `MediprimaConsultationSessionService`
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`